E-MailRelay

Public Member Functions | List of all members
GNet::EventLogging Class Reference

An interface for GNet classes that define a logging context string. More...

`#include <geventlogging.h>`

Inheritance diagram for GNet::EventLogging:
[legend]

## Public Member Functions
| EventLogging (const EventLogging *)
| Constructor. Sets the next() pointer. More...
virtual | ~EventLogging ()
| Destructor.
virtual std::string_view | eventLoggingString () const
| Returns a string containing logging information for the object. More...
const EventLogging * | next () const noexcept
| Returns the link pointer. More...
| EventLogging (const EventLogging &)=delete
| EventLogging (EventLogging &&)=delete
EventLogging & | operator= (const EventLogging &)=delete
EventLogging & | operator= (EventLogging &&)=delete

## Detailed Description

An interface for GNet classes that define a logging context string.

The EventLogging interface pointer should be installed in an EventState object; then various GNet classes collaborate so that the G::LogOuput context is set appropriately when events are delivered to any objects that inherit copies of that EventState.

See also
  GNet::EventState, GNet::EventLoggingContext

Definition at line 46 of file geventlogging.h.

## Constructor & Destructor Documentation

## ◆ EventLogging()

GNet::EventLogging::EventLogging | ( | const EventLogging * | next | ) |
| explicit

Constructor. Sets the next() pointer.

Definition at line 25 of file geventlogging.cpp.

## Member Function Documentation

## ◆ eventLoggingString()

std::string_view GNet::EventLogging::eventLoggingString | ( |  | ) | const
| virtual

Returns a string containing logging information for the object.

The string-view should refer to a string data member or be a nullptr string-view if there is no logging information.

Definition at line 34 of file geventlogging.cpp.

## ◆ next()

const GNet::EventLogging * GNet::EventLogging::next | ( |  | ) | const
| noexcept

Returns the link pointer.

Definition at line 39 of file geventlogging.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/geventlogging.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/geventlogging.cpp